<!-- 状态启用切换 -->
<template>
	<!-- TODO: v-model 双向绑定 -->
	<el-switch
		v-model="row.UseStatus"
		:active-value="UseStatusEnum.Enable"
		:inactive-value="UseStatusEnum.Disable"
		size="small"
		@change="changeStatus(row, useStatusApi, req, label)"
	/>
</template>

<script setup lang="ts">
import { UseStatusEnum } from '/@/views/types';
import { changeStatus } from './useStatus';
import { type PropType } from 'vue';
import { requestProps } from '/@/projectCom/common';
defineProps({
	row: {
		type: Object as PropType<{
			UseStatus: boolean;
			[key: string]: any;
		}>,
		required: true,
	},
	useStatusApi: {
		required: true,
	},
	...requestProps,

	label: {
		type: String,
	},
});
</script>
<style scoped lang="scss"></style>
